### File

`packages/components/eui-tree-list/toolbar/toolbar.component.ts`

### Implements

`OnInit` `OnChanges`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-tree-list-toolbar`
imports | `FormsModule` `EUI_INPUT_TEXT` `EUI_BUTTON` `EUI_ICON` `EUI_ICON_INPUT`
templateUrl | `./toolbar.component.html`

### Index

###### Properties
classes
###### Inputs
collapseAllLabel e2eAttr expandAllLabel filterLabel filterValue hasLabels isFilterVisible isToggleExpanded isToggleVisible isVisible
###### Outputs
collapseAll expandAll filter
###### HostBindings
class

### Inputs

collapseAllLabel
Type : `string`
The label for the collapse all button

e2eAttr
Type : `string`
Default value : `'eui-tree-list-toolbar'`

expandAllLabel
Type : `string`
The label for the expand all button

filterLabel
Type : `string`
The value of the filter placeholder

filterValue
Type : `string`
Default value : `''`
The value of the filter input

hasLabels
Type : `boolean`
Default value : `true`

isFilterVisible
Type : `boolean`
Default value : `true`

isToggleExpanded
Type : `boolean`
Default value : `false`
Option that toggles the expanded/collapsed state of the corresponding button

isToggleVisible
Type : `boolean`
Default value : `true`

isVisible
Type : `boolean`
Default value : `false`
Shows or hides the toolbar

### Outputs

collapseAll
Type : `EventEmitter`
Event emitted when the collapse all button is clicked.

expandAll
Type : `EventEmitter`
Event emitted when the expand all button is clicked.

filter
Type : `EventEmitter`
Event emitted if there is or if a filter value changes.

### HostBindings

class
Type : `string`
Default value : `'eui-tree-list-toolbar'`

### Properties

classes
Type : `string`
Default value : `'eui-tree-list-toolbar'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""